GET Get Subscriber Sequences​
GET
/sequences/subscriber/{subscriber_id}/sequences
Retrieve all email sequences that a specific subscriber is enrolled in, including their tracking status, last/next sequence email details. Returns paginated sequence tracker records. Requires FluentCampaign Pro.
Authorizations​
ApplicationPasswords
WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password
Type
API Key (header: Authorization)
Parameters​
Path Parameters
subscriber_id*
The subscriber (contact) ID.
Type
Requiredinteger
Query Parameters
per_page
Number of records per page.
Type
integer
Default
15page
Page number for pagination.
Type
integer
Default
1Responses​
Paginated list of sequence trackers for the subscriber.
application/json
JSON
{
"sequence_trackers": {
"total": 0,
"per_page": 0,
"current_page": 0,
"last_page": 0,
"next_page_url": "string",
"prev_page_url": "string",
"from": 0,
"to": 0,
"data": [
{
"id": 0,
"campaign_id": 0,
"subscriber_id": 0,
"last_sequence_id": 0,
"next_sequence_id": 0,
"status": "string",
"last_executed_time": "string",
"next_execution_time": "string",
"notes": [
],
"created_at": "string",
"updated_at": "string",
"sequence": {
"id": 0,
"title": "string",
"slug": "string",
"status": "string",
"type": "string",
"design_template": "string",
"settings": {
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
}
},
"created_by": 0,
"created_at": "string",
"updated_at": "string",
"stats": {
"emails": 0,
"subscribers": 0,
"revenue": {
"amount": "string",
"currency": "string"
}
}
},
"last_sequence": {
"id": 0,
"parent_id": 0,
"title": "string",
"slug": "string",
"type": "string",
"status": "string",
"design_template": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"delay": 0,
"settings": {
"action_triggers": [
"string"
],
"timings": {
"delay_unit": "string",
"delay": "string",
"is_anytime": "string",
"sending_time": "string",
"selected_days_only": "string",
"allowed_days": [
"string"
]
},
"template_config": {
},
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
}
},
"utm_status": 0,
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"utm_term": "string",
"utm_content": "string",
"created_by": 0,
"created_at": "string",
"updated_at": "string"
},
"next_sequence": {
"id": 0,
"parent_id": 0,
"title": "string",
"slug": "string",
"type": "string",
"status": "string",
"design_template": "string",
"template_id": 0,
"email_subject": "string",
"email_pre_header": "string",
"email_body": "string",
"delay": 0,
"settings": {
"action_triggers": [
"string"
],
"timings": {
"delay_unit": "string",
"delay": "string",
"is_anytime": "string",
"sending_time": "string",
"selected_days_only": "string",
"allowed_days": [
"string"
]
},
"template_config": {
},
"mailer_settings": {
"from_name": "string",
"from_email": "string",
"reply_to_name": "string",
"reply_to_email": "string",
"is_custom": "string"
}
},
"utm_status": 0,
"utm_source": "string",
"utm_medium": "string",
"utm_campaign": "string",
"utm_term": "string",
"utm_content": "string",
"created_by": 0,
"created_at": "string",
"updated_at": "string"
}
}
]
}
}